# Type alias ModuleFields<TParams>

ModuleFields<TParams>: {
address: string;
config: TParams["config"];
downResolver: ModuleResolver;
params: TParams;
queries: string[];
query: (<T, TConf>(query, payloads?, queryConfig?) => Promisable<ModuleQueryResult>);
queryable: (<T, TConf>(query, payloads?, queryConfig?) => Promisable<boolean>);
start?: (() => Promisable<void>);
upResolver: ModuleResolver;
}

#### Type Parameters

- #### TParams extends ModuleParams<AnyConfigSchema<ModuleConfig>> = ModuleParams<AnyConfigSchema<ModuleConfig>>

#### Type declaration

- ##### address: string

- ##### config: TParams["config"]

- ##### `Readonly` downResolver: ModuleResolver

- ##### params: TParams

- ##### queries: string[]

- ##### query: (<T, TConf>(query, payloads?, queryConfig?) => Promisable<ModuleQueryResult>)

  - - <T, TConf>(query, payloads?, queryConfig?): Promisable<ModuleQueryResult>

    - #### Type Parameters

      - #### T extends QueryBoundWitness = QueryBoundWitness

      - #### TConf extends ModuleConfig = ModuleConfig

      #### Parameters

      - ##### query: T

      - ##### `Optional` payloads: Payload[]

      - ##### `Optional` queryConfig: TConf

      #### Returns Promisable<ModuleQueryResult>

- ##### queryable: (<T, TConf>(query, payloads?, queryConfig?) => Promisable<boolean>)

  - - <T, TConf>(query, payloads?, queryConfig?): Promisable<boolean>

    - #### Type Parameters

      - #### T extends QueryBoundWitness = QueryBoundWitness

      - #### TConf extends ModuleConfig = ModuleConfig

      #### Parameters

      - ##### query: T

      - ##### `Optional` payloads: Payload[]

      - ##### `Optional` queryConfig: TConf

      #### Returns Promisable<boolean>

- ##### `Optional` start?: (() => Promisable<void>)

  - - (): Promisable<void>

    - #### Returns Promisable<void>

- ##### `Readonly` upResolver: ModuleResolver

- Defined in modules/packages/module/packages/model/dist/types/Module.d.ts:39

Generated using TypeDoc